from accueil.views import profil
from django.shortcuts import redirect
from django.contrib import messages
from .models import Ecole

import re


class EcoleMiddleware(object):
    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        request.ecole = Ecole.ecoleActuelle(request)
        return self.get_response(request)


class FirstLoginChangePasswd(object):
    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        return self.get_response(request)

    def process_view(self, request, view_func, view_args, view_kwargs):
        if (
            request.user.is_authenticated
            and request.user.force_change_passwd
            and not request.user.is_superuser
            and (view_func not in [profil])
            and not re.match(r"^/(static|media)/", request.path)
        ):
            messages.warning(request, "Veuillez changer votre mot de passe")
            return redirect("accueil:profil")
